package cn.com.countrygarden.bi.main.service;


import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.sys.Function;

import java.util.List;

public interface FunctionService {
    List<Function> findByUserCode(String userCode);

    Result queryFunctionsByRole(String roleCode);

    Result queryTransferListByRole(String roleCode);

    Result editRolesFunctions(String roleCode, String funCodes, String userCode);

    Result queryPageList(Function functions, int page, int size);

    Result queryById(Integer id);

    Result add(Function functions, AccessToken accessToken);

    Result edit(Function functions, AccessToken accessToken);

    Result del(Integer id);
}
